// SPDX-License-Identifier: Apache-2.0
import FormatValidation from "../../../../../in/request/FormatValidation";
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
export default class GetTotalTokenHoldersAtSnapshotRequest extends ValidatedRequest {
    securityId;
    snapshotId;
    constructor({ securityId, snapshotId }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            snapshotId: FormatValidation.checkNumber({ min: 0 }),
        });
        this.securityId = securityId;
        this.snapshotId = snapshotId;
    }
}
